nl.topicus.jdbc

## Enum CloudSpannerDataType

- java.lang.Object
- - java.lang.Enum<CloudSpannerDataType>
  - - nl.topicus.jdbc.CloudSpannerDataType

All Implemented Interfaces:
  Serializable, Comparable<CloudSpannerDataType>

    public enum CloudSpannerDataType
    extends Enum<CloudSpannerDataType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOOL`
`BYTES`
`DATE`
`FLOAT64`
`INT64`
`STRING`
`TIMESTAMP`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract List<?>` `getArrayElements(com.google.cloud.spanner.ResultSet rs, int columnIndex)`
`abstract com.google.cloud.spanner.Type.Code` `getCode()`
`abstract com.google.cloud.spanner.Type` `getGoogleType()`
`abstract Class<?>` `getJavaClass()`
`abstract int` `getSqlType()`
`Set<Class<?>>` `getSupportedJavaClasses()`
`static CloudSpannerDataType` `getType(Class<?> clazz)`
`static CloudSpannerDataType` `getType(com.google.cloud.spanner.Type.Code code)`
`String` `getTypeName()`
`static CloudSpannerDataType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CloudSpannerDataType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BOOL

    public static final CloudSpannerDataType BOOL

#### BYTES

    public static final CloudSpannerDataType BYTES

#### DATE

    public static final CloudSpannerDataType DATE

#### FLOAT64

    public static final CloudSpannerDataType FLOAT64

#### INT64

    public static final CloudSpannerDataType INT64

#### STRING

    public static final CloudSpannerDataType STRING

#### TIMESTAMP

    public static final CloudSpannerDataType TIMESTAMP

### Method Detail

#### values

    public static CloudSpannerDataType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CloudSpannerDataType c : CloudSpannerDataType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CloudSpannerDataType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getSqlType

    public abstract int getSqlType()

#### getCode

    public abstract com.google.cloud.spanner.Type.Code getCode()

#### getGoogleType

    public abstract com.google.cloud.spanner.Type getGoogleType()

#### getArrayElements

    public abstract List<?> getArrayElements(com.google.cloud.spanner.ResultSet rs,
                                             int columnIndex)

Parameters:
  `rs` - the result set to look up the elements
  `columnIndex` - zero based column index
Returns:
  The corresponding array elements of the type in the given result set

#### getTypeName

    public String getTypeName()

#### getJavaClass

    public abstract Class<?> getJavaClass()

#### getSupportedJavaClasses

    public Set<Class<?>> getSupportedJavaClasses()

#### getType

    public static CloudSpannerDataType getType(Class<?> clazz)

#### getType

    public static CloudSpannerDataType getType(com.google.cloud.spanner.Type.Code code)